#!/bin/bash -e
#
#  See http://download.sourceforge.net/amanda/amanda-%{version}.tar.gz
#

tmppath=`mktemp -d ${TMPDIR:-/tmp}/fix-amanda-tarball-XXXXXX`
if test -z "$tmppath" ; then
	echo Error creating temporary directory.
	exit 1
fi
trap "rm -fr $tmppath" EXIT

initialdir=`pwd`

for tarball in ${initialdir}/amanda-*.tar.{gz,bz2} ; do
	if ! test -s "$tarball" ; then
		continue
	fi
	rm -fr $tmppath/*
	pushd $tmppath > /dev/null
	case "$tarball" in
	*nosst*)
		: Do nothing.
		;;
	*.gz)
		gzip  -dc "$tarball" | tar xf -
		rm -fr amanda*/contrib/sst
		tar cf - * | gzip  -9c > \
		$initialdir/`basename $tarball .tar.gz`-nosst.tar.gz
		;;
	*.bz2)
		bzip2 -dc "$tarball" | tar xf -
		rm -fr amanda*/contrib/sst
		tar cf - * | bzip2 -9c > \
		$initialdir/`basename $tarball .tar.bz2`-nosst.tar.bz2
		;;
	esac
	popd > /dev/null
done
