Name:           ivman
Version:        0.6.14
Release:        2%{?dist}
Summary:        Generic handler for HAL events

Group:          System Environment/Libraries
License:        GPL/QPL
URL:            http://ivman.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/ivman/ivman-%{version}.tar.bz2
# taken from mandriva spec and modified
Source1:        ivman-initscript
# autostart file, not used (in the default case) in kde, gnome, xfce
Source2:        ivman-autostart.desktop
# wrappers to be able to mount synchronously whatever the mount command is
Source3:        ivman-mount-wrapper
Source4:        ivman-umount-wrapper
# use group 'daemon' instead of 'plugdev' (from mandriva)
# don't output debug infos
Patch0:         ivman-0.6.12-daemon.patch
# allows same flexibility through config than with the autodetected
# mount commands
Patch3:         ivman-0.6.12-mountpointcommand.diff
# for users, use the wrappers to detect *mount commands and mount synchronously
Patch4:         ivman-0.6.12-usersync.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig gettext
BuildRequires:  libxml2-devel glib2-devel dbus-glib-devel hal-devel
#Requires:       
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
Ivman is a generic handler for HAL events. Originally for automounting, 
it can now be used to run arbitrary commands when events or conditions 
occur or properties are modified on your hardware (e.g., run a command 
when you close your laptop's lid, run a command when a particular device 
is attached or a particular CD is inserted, etc).

To be able to mount devices automatically as a user, you should also 
install gnome-mount and/or pmount.

Ivman is autostarted in feedesktop environment, except in those known
to do automounting (kde, gnome, xfce). Default is to do the mounting
synchronously for the non priviledged users.

%prep
%setup -q
%patch0 -p1 -b .daemon
%patch3 -p0
%patch4 -p1 -b .usersync


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir} 
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/
# copy the *mount wrapper scripts
install -m755 %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%pre
useradd -r -s /sbin/nologin -d / -M -c 'Ivman user' -g daemon ivman &>/dev/null || :

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING* AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/ivman
%config(noreplace) %{_sysconfdir}/ivman/IvmConfig*.xml
# dubious, but currently it is owned by gnome-session...
%dir %{_sysconfdir}/xdg/autostart/
%config(noreplace) %{_sysconfdir}/xdg/autostart/ivman-autostart.desktop
%{_initrddir}/%{name}
%{_bindir}/ivman*
%{_mandir}/man5/IvmConfig*.5*
%{_mandir}/man8/ivman*.8*


%changelog
* Sat Feb 24 2007 Patrice Dumas <pertusus@free.fr> 0.6.14-2
- update to 0.6.14

* Wed Oct  4 2006 Patrice Dumas <pertusus@free.fr> 0.6.12-2
- add wrapper scripts to be able to detect the mount command and mount
  synchronously
- add an autostart file, disabled for gnome, kde and xfce

* Sun Sep 24 2006 Patrice Dumas <pertusus@free.fr> 0.6.12-1
- initial packaging
