#!/usr/bin/python
#
# Needs $GIT_COMMITTER_NAME and $GIT_COMMITTER_EMAIL set.
#
import re
import sys
import time
import os
import string

class Specfile:
    def __init__(self,filename):
        file=open(filename,"r")
        self.lines=file.readlines()

    def addChangelogEntry(self,entry):
        user = os.environ.get("GIT_COMMITTER_NAME","unknown")
        email = os.environ.get("GIT_COMMITTER_EMAIL","unknown")
        if (email == "unknown"):
            email = os.environ.get("USER","unknown")+"@fedoraproject.org"
        changematch=re.compile(r"^%changelog")
        date=time.strftime("%a %b %d %Y",   time.localtime(time.time()))
        newchangelogentry="%changelog\n* "+date+" "+user+" <"+email+">"+"\n"+entry+"\n\n"
        for i in range(len(self.lines)):
            if(changematch.match(self.lines[i])):
                self.lines[i]=newchangelogentry
                break

    def writeFile(self,filename):
        file=open(filename,"w")
        file.writelines(self.lines)
        file.close()

if __name__=="__main__":
  aspec=(sys.argv[1])
  s=Specfile(aspec)
  entry=(sys.argv[2])
  s.addChangelogEntry(entry)
  s.writeFile(aspec)

