#!/bin/bash

# you are supposed to have both linux-2.6 "upstream tree"
# and linux-2.6-xen-fedora mercurial updated against that tree

# it needs linux-2.6 linux-2.6-xen and linux-2.6-xen-fedora on the current directory
# with the right changesets on them.

set -x

# remove previous patch if it exist
rm -f linux-2.6-xen.patch

for repo in linux-2.6 linux-2.6-xen-fedora xen-3.0.3-testing linux-2.6-xen-3.0.3 ; do
    if [ ! -d $repo/ ]; then
	echo "$repo directory don't exist";
	exit 1
    else
	echo "  * $repo `cd $repo; (hg tip | grep 'changeset:')`" >> linux-2.6-xen.patch
    fi
done

/usr/bin/diff -urNp --exclude=".hg*" --exclude="*.orig" --exclude="*~" \
    /scratch/src/linux-2.6.18/  linux-2.6-xen-fedora/ >> linux-2.6-xen.patch


set +x

ls -lh linux-2.6-xen.patch
