%define fontname 	mgopen
%define fontdir		%{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d
%define archivename     MgOpen
%define upstream_date   20050515

Name:      %{fontname}-fonts
Version:   0.%{upstream_date}
Release:   7%{?dist}
Summary:   Truetype greek fonts
Group:     User Interface/X
License:   Bitstream Vera
URL:       http://www.ellak.gr/fonts/mgopen/
Source0:   %{archivename}-%{upstream_date}.tar.gz
# Upstream tarball is not versioned http://www.ellak.gr/fonts/mgopen/files/%{archivename}.tar.gz
Source1:   %{archivename}-%{upstream_date}-doc.tar.gz
# Tarball of the documentation on the site http://www.ellak.gr/fonts/mgopen/
# The LICENCE file is an excerpt from the html page
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
# Conflicts: fontconfig < 2.3.93


%description
The MgOpen fonts are a font family that includes Latin and Greek glyphs.
The fonts have been released under a liberal license, similar to the
license covering the Bitstream Vera fonts.


%prep
%setup -q -c -a1 -n %{archivename}-%{version}
iconv -f ISO-8859-1 -t UTF-8 LICENCE > LICENCE.tmp; mv LICENCE.tmp LICENCE

%build

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{fontdir}
install -m 0644 *.ttf  %{buildroot}%{fontdir}


%clean
rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache -r %{fontdir} || :
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache -f %{fontdir} || :
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc LICENCE mgopen.html _files/
%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Mon Mar  3 2008 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-7
- Drop ancient Conflicts < fontconfig-2.3.93
- Convert LICENCE file to UTF-8
- Fix License description to Bitstream Vera
- Spec cleanup

* Sun Feb 10 2008 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-6
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Tue Aug 29 2006 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-5
- Rebuild for FC6.

* Mon Feb 20 2006 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-4
- Rebuild for FC5.

* Sat Jan 28 2006 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-3
- remove ghosting of %{fontdir}/fonts.cache-{1,2} for new fontconfig

* Mon Oct 31 2005 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-2
- add %{fontdir}/fonts.cache-2 to %ghost files.

* Thu Jul  6 2005 Sarantis Paskalis <paskalis@di.uoa.gr> 0.20050515-1
- Fix spelling in the description.  Import it to Fedora Extras.

* Tue Jun 14 2005 Sarantis Paskalis <paskalis@di.uoa.gr>
- Use date-versioned sources

* Wed May 25 2005 Sarantis Paskalis <paskalis@di.uoa.gr>
- Initial package spec (based on bitstream-vera-fonts)
