Name:           octaviz
Version:        0.4.7
Release:        4%{?dist}
Summary:        3D visualization system for Octave

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octaviz.sourceforge.net/
Source0:        http://downloads.sourceforge.net/octaviz/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake, octave-devel
BuildRequires:  libX11-devel, libXext-devel, libXt-devel
BuildRequires:  vtk-devel >= 5.0.4
BuildRequires:  vtkdata >= 5.0.4
Requires:       octave
Requires:       vtk >= 5.0.4

%description
Octaviz is a visualization system for Octave.
It is a wrapper that makes all  VTK classes accessible from
within  Octave using  the same object-oriented syntax as in
C++  or  Python. Octaviz also provides high-level functions
for 2D and 3D  visualization.  Using those  functions, most
common visualization tasks (3D surface plots, contour plots
etc) can be accomplished without any knowledge about VTK.


%package examples
Summary:        Examples for demonstrating octaviz capabilities
Requires:       octaviz = %{version}-%{release}
Requires:       vtkdata
Group:          Applications/Engineering

%description examples
Octaviz is a visualization system for Octave.
It is a wrapper that makes all  VTK classes accessible from
within  Octave using  the same object-oriented syntax as in
C++  or  Python. Octaviz also provides high-level functions
for 2D and 3D  visualization.  Using those  functions, most
common visualization tasks (3D surface plots, contour plots
etc) can be accomplished without any knowledge about VTK.

This package provides many examples to show octaviz capabi-
lities.


%prep
%setup -q -n octaviz


%build
cmake .                                                                 \
  -DVTK_DIR:PATH=%(/usr/bin/find %{_libdir} -maxdepth 1 -type d         \
                                            -name vtk-?.?)              \
  -DVTK_DATA_ROOT:PATH=%(/usr/bin/find %{_datadir} -maxdepth 1 -type d  \
                                                   -name vtkdata-?.?.?) \
  -DCMAKE_SKIP_RPATH:BOOL=YES                                           \
  -DCMAKE_BUILD_TYPE:STRING=Release                                     \
  -DCMAKE_INSTALL_PREFIX:PATH=%(/usr/bin/octave-config -p EXEC_PREFIX)  \
  -DX11_X11_INCLUDE_PATH:PATH=%{_includedir}                            \
  -DX11_X11_LIB:PATH=%{_libdir}/libX11.so                               \
  -DX11_Xext_LIB:PATH=%{_libdir}/libXext.so                             \
  -DX11_Xlib_INCLUDE_PATH:PATH=%{_includedir}                           \
  -DX11_Xutil_INCLUDE_PATH:PATH=%{_includedir}                          \
  -DCMAKE_BACKWARDS_COMPATIBILITY=2.4                                   \
  -DOCTAVE_CONFIG:PATH=/usr/bin/octave-config                           \
  -DUSE_PREC_HEADERS=OFF                                                \
  -DBUILD_SHARED=ON                                                     \
  -DBUILD_TESTING=OFF                                                   \
  -G "Unix Makefiles"

# with %{?_smp_mflags} refuses to build.
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/octave-?.?.?/liboctaviz.so
%{_libexecdir}/octave/?.?.?/site/oct/%{_arch}-redhat-linux-gnu/octaviz
%{_datadir}/octave/?.?.?/site/m/octaviz
%exclude %{_datadir}/octave/?.?.?/site/m/octaviz/Examples


%files examples
%doc README
%defattr(-,root,root,-)
%{_datadir}/octave/?.?.?/site/m/octaviz/Examples


%changelog
* Wed May  7 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> - 0.4.7-4.fc8
- added vtkdata as build requirement
- vtk paths detected at package build
- fixed paths

* Sun Apr  6 2008 Ed Hill <ed@eh3.com> - 0.4.7-3.fc8
- fix BRs and paths

* Sat Mar 29 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> - 0.4.7-2.fc8
- Added vtkdata requirement for octaviz-examples subpackage

* Tue Mar 25 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> - 0.4.7-1.fc8
- Initial release
