%define         ver %(echo %version | tr -d .)
Name:           openarena
Version:        0.7.7
Release:        2%{?dist}
Summary:        Open source first person shooter
Group:          Amusements/Games
License:        GPLv2
URL:            http://openarena.ws/
Source0:        http://download.tuxfamily.org/openarena/rel/076/oa076.zip
Source1:        http://cheapy.deathmask.net/logo.gif
Source2:        openarena.desktop
Source10:       http://download.tuxfamily.org/openarena/rel/077/oa077-patch.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       quake3
Requires:       opengl-games-utils
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Provides:       openarena-data = %{version}-%{release}
Obsoletes:      openarena-data < 0.7.1-4
BuildArch:      noarch

%description
OpenArena is an open-source content package for Quake III Arena licensed under
the GPL, effectively creating a free stand-alone game.

%prep
# setup section is totally ugly but it's no more ugly than
# way of releasing new versions by openarena team
%setup -q -n openarena-0.7.6
%{__unzip} -qqoj %{SOURCE10} openarena-0.7.6/baseoa/pak7-patch.pk3 openarena-0.7.6/{CHANGES,COPYING,CREDITS,README}
mv pak7-patch.pk3 baseoa
#1. let us create wrapper for openarena and for openarena_ded
#   we can use one wrapper to that task
cat > %{name} << EOF
#!/bin/bash

. /usr/share/opengl-games-utils/opengl-game-functions.sh

checkDriOK openarena

BASEOA_HOME_DIR=\$HOME/.openarena/baseoa
DATA_DIR=%{_datadir}/%{name}
[[ -d \$BASEOA_HOME_DIR ]] || mkdir -p \$BASEOA_HOME_DIR
for file in \$(find \$DATA_DIR -type f -printf "%f "); do
    [[ -a \$BASEOA_HOME_DIR/\$file ]] \
    || ln -s \$DATA_DIR/\$file \$BASEOA_HOME_DIR/\$file
done
if [[ "\$0" =~ "ded" ]]; then
    exec %{_bindir}/quake3 +set dedicated 1 +set fs_homepath \$HOME/.openarena\
    +set fs_game baseoa +set cl_master dpmaster.deathmask.net "\$@"
else
    exec %{_bindir}/quake3 +set fs_game baseoa +set fs_homepath \$HOME/.openarena\
    +set cl_master dpmaster.deathmask.net "\$@"
fi
EOF
chmod +x %{name}
ln -s %{name} %{name}_ded

#2. copy all documentation to one directory and get rid of unexpected
#   permissions to make a %files section easier ;-)
mkdir doc
cp -p CHANGES COPYING CREDITS README doc
chmod 644 doc/*

#3. fix end-of-line encodings
for file in doc/{COPYING,CREDITS,CHANGES,README}; do
    sed s/\\r// -i $file
done

#4. convert a .gif file to .png format
convert %{SOURCE1} %{name}.png

%build
echo We build nothing

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir $RPM_BUILD_ROOT%{_bindir}

cp -p baseoa/* $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p %{name} %{name}_ded $RPM_BUILD_ROOT%{_bindir}
cp -p %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

chmod a-x $RPM_BUILD_ROOT%{_datadir}/%{name}/*

desktop-file-install --vendor="fedora"                        \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
        %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/%{name}*
%dir %{_datadir}/%{name}/
%attr(0644,root,root)%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Jun 06 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.7-2
- Fix permissions...

* Wed Jun 04 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.7-1
- Add patch
- Get rid of macros from Sources

* Wed Apr 23 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.6-1
- New release
- Fix desktop file a bit

* Sun Jan 13 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.1-5
- Fix wrapper to include master server adress

* Sat Jan 05 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.1-4
- Use quake3 package from repo instead of own engine
- No -data subpackage since the main package now contains data
- Now the spec simple creates wrapper and just copy data to proper dir

* Fri Oct 05 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.1-3
- Add support for opengl-games-utils

* Fri Aug 24 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.1-2
- BuildID rebuild
- License tag fix

* Mon Aug 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.1-1
- Added 0.7.1 patch. 
- Uses 0.7.0 .zip, took version macro out of URL and setup to accommodate.

* Fri Jul 13 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.0-3
- NO_VM_COMPILED flag on ppc64

* Fri Jul 13 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.0-2
- Add libvorbis-devel BR

* Wed Jul 11 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.7.0-1
- Update to 0.7.0

* Fri Jan 12 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.6.0-4
- Get rid of -maltivec flag

* Wed Jan 10 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.6.0-3
- Do some ppc fixes

* Wed Jan 03 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.6.0-2
- Add COPYING to data subpackage
- Remove LINUXNOTES from %%doc

* Mon Jan 01 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.6.0-1
- Initial new year release
