#!/bin/sh
while [ "$1" != "-stack" ]; do
        shift
done

filename=`mktemp -t ooocrash.XXXXXXXXXX` || exit 1
echo "(I)    x.org loaded video driver of..." > $filename
xlog=`(xset -q || echo "  Log file:     /var/log/Xorg.0.log") | grep "Log file:" | cut -c 17-`
grep "drivers" $xlog >> $filename
grep "pixmap format" $xlog >> $filename
echo "(III)  Desktop is: `if [ "$GNOME_DESKTOP_SESSION_ID" != "" ] ; then echo GNOME ; else echo not GNOME; fi`" >> $filename
echo "(IV)   openoffice.org-kde version is:" `rpm -q --queryformat '%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH} ' openoffice.org-kde` >> $filename
echo "(V)    libgcj version is:" `rpm -q --queryformat '%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH} ' libgcj` >> $filename
echo "(IV)   kernel is:" `uname -s -r -v -m -p -i` >> $filename
echo "(VII)  OpenOffice.org core rpm version is:" `rpm -q --queryformat '%{NAME}-%{VERSION}-%{RELEASE}-%{ARCH}' openoffice.org-core` >> $filename
echo "(VIII) accessibility is:" `gconftool-2 -g "/desktop/gnome/interface/accessibility"` >> $filename
if [ -e /etc/fedora-release ]; then
echo "(VIV)  fedora release is:" `cat /etc/fedora-release` >> $filename
elif [ -e /etc/redhat-release ]; then
echo "(VIV)  redhat release is:" `cat /etc/redhat-release` >> $filename
fi
echo "(VV)   LANG is: $LANG" >> $filename
echo "...start free space details ..." >> $filename
df -k /home /tmp >> $filename
echo "...end free space details ..." >> $filename
if [ -e /usr/sbin/sestatus ]; then
echo "...start sestatus details ..." >> $filename
/usr/sbin/sestatus >> $filename
echo "...end sestatus details ..." >> $filename
fi
echo "...start stackreport details ..." >> $filename
if [ -e /usr/bin/c++filt ]; then
        cat $2 | c++filt >> $filename
else
        cat $2 >> $filename
fi
rm $2
echo "...end stackreport details ..." >> $filename

echo "...start sample ldd details ..." >> $filename
ldd /usr/lib*/openoffice.org/program/libvclplug_gtk*.so >> $filename
echo "...end sample ldd details ..." >> $filename

echo
echo ---start copy and paste here---
cat $filename
echo ---end copy and paste here---
echo paste the above into your bug report

if [ -e /usr/bin/zenity ]; then
        zenity --width=800 --height=600 --title="OOo has crashed!: Paste this text into your bugreport" --text-info --filename=$filename
fi

rm -f $filename
