Name:    pam_usb
Summary: Authentication using ordinary USB Flash Drives
Version: 0.4.0
Release: 2%{?dist}
License: GPLv2
Group: System Environment/Base
URL:  http://www.pamusb.org
Source0:  http://dl.sourceforge.net/pamusb/%{name}-%{version}.tar.gz
Source4:  pam_usb-pam.d-login.example
Source5:  pam_usb-pam.d-gdm.example

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pam-devel, hal-devel, pygobject2-devel, libxml2-devel
Requires:      pygobject2
%if 0%{?fedora} < 7
BuildRequires: python-elementtree
Requires:      python-elementtree
%endif

%description
pam_usb provides hardware authentication for Linux using ordinary 
USB Flash Drives. It works with any application supporting PAM, 
such as su, any login manager (GDM, KDM), etc. The pam_usb package contains:

* A PAM Module
    o Password-less authentication. Use your USB stick for authentication, 
    don’t type passwords anymore.
    o Device auto probing.You don’t need to mount the device, or even 
    to configure the device location (sda1, sdb1, etc). 
    pam_usb.so will automatically locate the device using HAL and access 
    its data by itself.
    o  Two-factor authentication. Achieve greater security by requiring 
    both the USB stick and the password to authenticate the user.
    o Non-intrusive. pam_usb doesn’t require any modifications of the 
    USB storage device to work (no additional partitions required).
    o USB Serial number, model and vendor verification.
    o Support for One Time Pads authentication.
* Several tools
    o pamusb-agent: trigger actions (such as locking the screen) 
    upon device authentication and removal.
    o pamusb-conf: configuration helper.
    o pamusb-check: integrate pam_usb’s authentication engine within 
    your scripts or applications.

%prep
%setup -q

mkdir pam.d-examples
install -p -m644 %{SOURCE4} pam.d-examples/login
install -p -m644 %{SOURCE5} pam.d-examples/gdm

# fix lib64
sed -i -e 's|/lib/security|/%{_lib}/security|' Makefile

%build
# Note: we may not overwrite CFLAGS, so use CC instead...
make CC="%__cc $RPM_OPT_FLAGS" LIB=%{_lib} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install LIB=%{_lib} DESTDIR=$RPM_BUILD_ROOT

# marked these as %doc already
rm -rf $RPM_BUILD_ROOT/%{_docdir}/pamusb/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/%{_lib}/security/*
%{_bindir}/pamusb*
%config(noreplace) %{_sysconfdir}/pamusb.conf
%doc COPYING ChangeLog pam.d-examples doc/QUICKSTART doc/CONFIGURATION doc/FAQ
%attr(644,root,root) %{_mandir}/*/pamusb*


%changelog
* Mon Jul 7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-2
- fix license tag
- fix conditional comparisons

* Sat May 5 2007 John Mahowald <jpmahowald@gmail.com> - 0.4.0-1
- 0.4.0
- drop hotplug subpackage

* Fri Sep  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-6
- rebuild for FC6

* Tue Aug  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-5
- avoid world-writable docs (#200840)

* Wed Feb 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-4
- rebuild for FC5

* Thu Feb  2 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-3
- pam_usb-hotplug requires udev now instead of the obsoleted hotplug

* Thu Dec 29 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-2
- accepted for Fedora Extras (review by Wart <wart@kobold.org>)

* Thu Dec 22 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-2
- Use /etc/udev/rules.d instead of /etc/hotplug.d
- Add some pam.d examples (Wart@kobold.org)

* Tue Dec 20 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.3-1
- upgrade to 0.3.3
- always build hotplug package
- add Makefile patch (directory creation, permissions etc.)
- create usbhotplug pam file own way

* Wed Sep  7 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.3.2-1
- initial release
- copy quckstart.html and options.html from web-site to package
- separate hotplug stuff as an additional package, build it
  when "--with hotplug" is specified only
