Name:           perl-Bio-Graphics
Version:        1.83
Release:        2%{?dist}
Summary:        Generate GD images of Bio::Seq objects
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Bio-Graphics/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/Bio-Graphics-%{version}.tar.gz
Patch0:         perl-Bio-Graphics-tests.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Bio::Root::Version) >= 1.005009
BuildRequires:  perl(GD) >= 2.3
BuildRequires:  perl(GD::SVG)
BuildRequires:  perl(Module::Build)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Bio::Graphics is a simple GD-based renderer (diagram drawer) for DNA
and protein sequences.  The Bio::Graphics::Panel class provides
drawing and formatting services for any object that implements the
Bio::SeqFeatureI interface, including Ace::Sequence::Feature,
Das::Segment::Feature and Bio::DB::Graphics objects.  It can be used
to draw sequence annotations, physical (contig) maps, protein domains,
or any other type of map in which a set of discrete ranges need to be
laid out on the number line

%prep
%setup -q -n Bio-Graphics-%{version}
%patch0 -p0 -b .tests

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes DISCLAIMER.txt README README.bioperl
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Jan 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.83-2
- Patch to disable some tests (image tests currently don't work)
- Fix file list to include scripts

* Mon Jan 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> 1.83-1
- Specfile autogenerated by cpanspec 1.77.
