Name:           pharosc
Version:        8.3
Release:        1%{?dist}
Summary:        VLSI and ASIC Technology Standard Cell Libraries

Group:          Applications/Engineering
License:        LGPLv2+

URL:            http://www.vlsitechnology.org/
Source0:        http://www.vlsitechnology.org/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       ngspice

%description
VLSI and ASIC Technology Standard Cell Libraries.
There are five new open source standard cell libraries, the
 * vsclib,
 * wsclib,
 * vxlib,
 * vgalib and
 * rgalib.

They have been drawn with the Graal software from Alliance,
part of an extensive open source software suite for designing
integrated circuits with a standard cell design methodology.


%package alliance-devel
Summary:         Alliance Development files for the pharosc
Group:           Applications/Engineering
Requires:        %{name} = %{version}-%{release}
Requires:        %{name}-alliance = %{version}-%{release}

%description alliance-devel
Alliance Development files for pharosc

%package magic-devel
Summary:         Magic Development files for the pharosc
Group:           Applications/Engineering
Requires:        %{name} = %{version}-%{release}
Requires:        %{name}-magic = %{version}-%{release}

%description magic-devel
Magic Development files for pharosc


%package        xcircuit
Summary:        VLSI and ASIC Standard Cell Libraries for XCircuit
Group:          Applications/Engineering
Requires:       xcircuit
Requires:       %{name} = %{version}-%{release}

%description xcircuit
VLSI and ASIC Technology Standard Cell Libraries for XCircuit.
The schematic symbol library (in vlsi_lib.lps) has been set up so
that each transistor shows its width in lambda, with a transistor
length of 2 lambda being assumed by default.

In the %{_datadir}/%{name}/xcircuit/cells/vsclib directory, the .ps
files are the schematics; the .spc files are the Spice decks
written from xcircuit; and the .spi files are the .spc files
packaged into a subcircuit. These subcircuits are copied into
%{_datadir}/%{name}/xcircuit/subckt/vsclib.


%package        magic
Summary:        VLSI and ASIC Standard Cell Libraries for Magic
Group:          Applications/Engineering
Requires:       magic
Requires:       %{name} = %{version}-%{release}

%description magic
The Magic technology files can be found in directory
%{_datadir}/%{name}/magic/etc.
In addition to the Spice subcircuits coming from the Magic cells, the
library includes subcircuits written from Alliance and from the schematics
drawn with xcircuit.


%package        alliance
Summary:        VLSI and ASIC Standard Cell Libraries for alliance
Group:          Applications/Engineering
Requires:       alliance
Requires:       %{name} = %{version}-%{release}

%description alliance
The libraries have been characterised in a generic 0.13µm
technology. The spice model comes from the University of California,
Berkeley, and the layout rules are slightly oversized 0.13µm ones
which should make the layout compatible with most foundry rules

The vxlib is compatible with the sxlib created by the Alliance
software authors. The vsclib is a completely new library design.
The wsclib is derived from the vsclib. The rgalib and vgalib are
small gate array type libraries.

The Alliance sxlib has also been characterised in 0.13µm using the
same methodology and converted to the same 0.13µm layout rules.
The characterisation methodology creates a web data book, and this
is on-line with the cells' layout and schematics.

%package        doc
Summary:        Documentation for VLSI and ASIC Standard Cell Libraries
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description doc
Documentations for VLSI and ASIC Standard Cell Libraries


%package        synopsys
Summary:        VLSI and ASIC Standard Cell Libraries for Synopsis
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description synopsys
The Synopsys format Liberty files are copied here.
Basic information on functions (like pin names) and cells
(like transistor widths) which is used to make the spice
decks, Alliance VBE and Synopsys LIB files.



%prep
%setup -q -n %{name}_%{version}



######## pharosc
# We are encouraging users to use ngspice instead of winspice on fedora
#ext2spi_013 is not compatible with fedora's magic
#no source code for binary pplot
%{__rm} -f bin/makelibrarydir \
           bin/wspice3*       \
           bin/pplot          \
           bin/ext2spi_013
# needs pplot
%{__rm} -f bin/cifplota*

#E: pharosc script-without-shebang /usr/share/pharosc/bin/cpat.vsclib_alliance
# upstream will decide the fate of the cpat.vsclib_alliance
%{__rm} -f bin/cpat.vsclib_alliance

# to be entailed as docs
%{__mv} bin/cptemplate* .



######## alliance
# hardcoded path being corrected
sed -i "s|/home/dev|%{_datadir}/%{name}|" alliance/cells/s*/*
sed -i "s|/home/dev|%{_datadir}/%{name}|" \
    alliance/cells/v*/*                   \
    alliance/cells/w*/*                   \
    alliance/cells/r*/*                   \
    alliance/bin/env*
sed -i "s|/home/dev/magic|%{_datadir}/%{name}/magic|" alliance/bin/env*
sed -i "s|/usr/local/alliance|\${ALLIANCE_TOP}|" alliance/bin/*env*
sed -i "s|/home/library/alliance|%{_datadir}/%{name}/alliance|" alliance/bin/*env*

sed -i "s|../|%{_datadir}/%{name}/|" alliance/bin/cpvbe
sed -i "s|../../../|%{_datadir}/%{name}/|" \
    alliance/cells/*/makeallviews \
    alliance/cif/*/README         \
    alliance/gif/*/Makefile       \
    alliance/makevbe/*/*/*.bash

sed -i "s|../../|%{_datadir}/%{name}/alliance/|" alliance/bin/makevbe_*

# not compatible with fedora's magic
%{__rm} -f alliance/bin/ext2spi_013

# rpmlint warnings: hidden-file-or-dir
%{__rm} -f  alliance/vbe/ssxlib200/.vbe
%{__rm} -f  alliance/cells/*/._drc.txt


# rpmlint warnings: zero-length and backup-file-in-package
%{__rm} -f  alliance/subckt/msclib013/{nd2v0x3,vsstie,xnr2v0x1,nr4v1x05,nr3v0x05,vddtie}.spi
%{__rm} -f  alliance/makevbe/ssxlib200/convert_sx_ssx~
%{__rm} -f  alliance/vbe/wsclib013_6/copycells~

# fedora ships python2.5 already
%{__rm} -f  alliance/bin/python

# script-without-shebang => not a ELF file
sed -i '0,/ /i\#!/bin/bash'                 \
    alliance/*/*/make_catal                 \
    alliance/bin/{pnr_wide_feedths,cpvbe}   \
    alliance/*/*/check_uptodate             \
    alliance/vbe/sxlib100_6_min/copycells



######## magic
#zero-length
%{__rm} -f magic/etc/vxlib/an2_x05.ab
%{__rm} -f magic/spice_vsclib013/xor2/xor2v0x1_a_z.spo
%{__rm} -f magic/spice_vxlib013/oai22/sp0.tmp

%{__rm} -f magic/templates/..templates_bak
%{__rm} -f magic/spice_vxlib013/xor2/.pr

# not compatible with fedora's magic
%{__rm} -f magic/cells/sxlib/{makeext.tcl,makespice.tcl}

# script-without-shebang => not a ELF file
sed -i '0,/ /i\#!/bin/bash' magic/*/*/check_uptodate
sed -i "s|#/bin|#!/bin|" magic/*/check_uptodate

# hardcoded path being corrected
sed -i "s|../../../|%{_datadir}/%{name}/|" \
    magic/*/*/Makefile \
    magic/*/*/README   \
    magic/spice_*/{technology.pmd,makefunction}

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_rgalib013/*/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_*/buf/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_*/halfadder/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_*/inv/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_*/xr2/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_sxlib013/a*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_sxlib013/mx2/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_sxlib013/n*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_sxlib013/o*/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_ssxlib013/a*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_ssxlib013/mx2/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_ssxlib013/n*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_ssxlib013/o*/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vgalib013/*/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/a*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/bf1/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/c*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/ha2/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/iv1/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/mxi2/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/n*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/o*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vxlib013/x*/*

sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/aon*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/an*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/aoi*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/b*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/c*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/d*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/ha2/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/iv1/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/lant1/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/m*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/n*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/o*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/xa*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/xn*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" magic/spice_vsclib013/xo*/*

# we are not shipping cifplota
%{__rm} -f magic/cif/*/makeps



######## xcircuit
# The .spi files are the .spc files packaged into a subcircuit using
# the script ./makespifile. These subcircuits are copied into xcircuits/subckt.
# The makespifile is not deleted because the user might use it to create its
# own custom subcircuits.
%{__rm} -rf xcircuit/cells/*/*.spi

#backup-file-in-package
%{__rm} -rf xcircuit/cells/vsclib/*.ps~        \
            xcircuit/cells/vgalib/makespifile~ \
            xcircuit/cells/*/.xvpics           \
            xcircuit/cells/vsclib/vlsi_lib.lps_bak

# hardcoded path being corrected
sed -i "s|/home/dev|%{_datadir}/%{name}|" xcircuit/cells/*/make*



######## docs & examples
# removing duplicates
%{__rm} -rf examples/etc

sed -i "s|../../etc|%{_datadir}/%{name}/alliance/etc|"  examples/adder4/*/sim.txt
sed -i "s|=../../bin/|=|" examples/adder4/*/{sim.txt,*loop*}
sed -i "s|../../cells|%{_datadir}/%{name}/alliance/cells|" examples/adder4/*/{sim.txt,*loop*}

sed -i "s|../../cells|%{_datadir}/%{name}/alliance/cells|" examples/multi4/*/*loop*
sed -i "s|=../../bin/|=|" examples/multi4/*/*loop*


sed -i "s|../../cells|%{_datadir}/%{name}/alliance/cells|" examples/ram4x4/*/{sim.txt,*loop*}
sed -i "s|=../../bin/|=|" examples/ram4x4/*/{sim.txt,*loop*}

sed -i "s|../../|%{_datadir}/%{name}/|" examples/*/*/*loop*

sed -i "s|../../../|%{_datadir}/%{name}/|" html/cells/rgalib*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" html/cells/s*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" html/cells/v*/*
sed -i "s|../../../|%{_datadir}/%{name}/|" html/cells/w*/*

#shipped by alliance
%{__rm} -rf examples/bin/{asimut,boom,boog,x2y,flatbeh,flatlo,druc,cougar,l2p,loon,lvx,ocp,nero,pdv}
%{__rm} -rf examples/bin/r*
%{__rm} -rf examples/bin/s*
%{__rm} -rf examples/bin/v*
%{__rm} -rf examples/bin/w*

#backup-file-in-package
%{__rm} -f examples/*/*/*_loop~
%{__rm} -f examples/multi4/*/syn_loop.jou~

#zero-length
%{__rm} -f html/cells/wsclib013/aoi112v0x05.html
%{__rm} -f examples/cells/sxlib100/syn_loop.jou


#nothing to build
%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}/

######## pharosc
%{__cp} -pr bin/ %{buildroot}%{_datadir}/%{name}/


######## alliance
%{__cp} -pr alliance/ %{buildroot}%{_datadir}/%{name}/


######## magic
%{__cp} -pr magic/ %{buildroot}%{_datadir}/%{name}/


######## synopsys
%{__cp} -pr synopsys/ %{buildroot}%{_datadir}/%{name}/


######## Xcircuit
%{__cp} -pr xcircuit/ %{buildroot}%{_datadir}/%{name}/



%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt licence.txt revision.txt
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bin/


%files xcircuit
%defattr(-,root,root,-)
%{_datadir}/%{name}/xcircuit/


%files magic
%defattr(-,root,root,-)
# Excluding those that are not useful for the users
# but only for those wanting to create their own cells or update the cells
%exclude %{_datadir}/%{name}/magic/spice*
%exclude %{_datadir}/%{name}/magic/*/*/check_uptodate
%exclude %{_datadir}/%{name}/magic/templates/
%{_datadir}/%{name}/magic/


%files alliance
%defattr(-,root,root,-)
# Excluding those that are not useful for the users
# but only for those wanting to create their own cells or update the cells
%exclude %{_datadir}/%{name}/alliance/bin/cpvbe
%exclude %{_datadir}/%{name}/alliance/cells/*/makeallviews
%exclude %{_datadir}/%{name}/alliance/cif/*/README
%exclude %{_datadir}/%{name}/alliance/gif/*/Makefile
%exclude %{_datadir}/%{name}/alliance/makevbe/*/*
%exclude %{_datadir}/%{name}/alliance/*/*/make_catal
%exclude %{_datadir}/%{name}/alliance/*/*/check_uptodate
%exclude %{_datadir}/%{name}/alliance/vbe/sxlib100_6_min/copycells
%{_datadir}/%{name}/alliance/


%files synopsys
%defattr(-,root,root,-)
%{_datadir}/%{name}/synopsys/


%files doc
%defattr(-,root,root,-)
%doc html/*
%doc examples/
%doc cptemplate*


# This -devel package contains scripts that allows
# the users to create or update the standard cells on his own

%files alliance-devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/alliance/bin/cpvbe
%{_datadir}/%{name}/alliance/cells/*/makeallviews
%{_datadir}/%{name}/alliance/cif/*/README
%{_datadir}/%{name}/alliance/gif/*/Makefile
%{_datadir}/%{name}/alliance/makevbe/*/*
%{_datadir}/%{name}/alliance/*/*/make_catal
%{_datadir}/%{name}/alliance/*/*/check_uptodate
%{_datadir}/%{name}/alliance/vbe/sxlib100_6_min/copycells


%files magic-devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/magic/*/*/check_uptodate
%{_datadir}/%{name}/magic/templates/
%{_datadir}/%{name}/magic/spice*


%changelog
* Sun Jul 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 8.3-1
- Initial Package