Name:           vegastrike-data
Version:        0.5.0
Release:        3
Summary:        Data files for Vega Strike
Group:          Amusements/Games
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
# This is:
# http://downloads.sourceforge.net/vegastrike/vegastrike-linux-0.5.0.tar.bz2
# with the music and bin directories removed as those are packaged seperately
Source0:        %{name}-%{version}.tar.bz2
# Remove Falik's songs from playlists (no longer needed, kept for reference)
Patch0:         vegastrike-data-0.5.0-playlists.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       vegastrike >= %{version}

%description
Data files for Vega Strike, a GPL 3D OpenGL Action RPG space sim that allows
a player to trade and bounty hunt.


%prep
%setup -q
# some cleanup
rm -r cockpits/bomber-cockpit.cpt/#cockpit.xmesh# meshes/supernova.bmp.xmesh~ \
  modules/.cvsignore modules/builtin `find -name "*.xmesh"`
find . -type f -print0 | xargs -0 chmod -x
chmod +x units/findunits.py modules/webpageize.py
sed -i 's/\r//g' documentation/mission_howto.txt
# remove the stale included manpages and the .xls abonimation
rm documentation/*.1 documentation/*.xls


%build
# nothing to build data only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vegastrike
for i in .vegastrike-0.5.0 ai animations bases cockpits communications \
         history meshes mission modules movies programs sectors sounds \
         sprites textures units universe \
         *.xml *.csv *.config *.cur *.xpm New_Game Version.txt; do
  cp -a $i $RPM_BUILD_ROOT%{_datadir}/vegastrike
done
ln -s ../doc/%{name}-%{version} \
  $RPM_BUILD_ROOT%{_datadir}/vegastrike/documentation

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 vegastrike.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc vega-license.txt documentation/*
%{_datadir}/vegastrike
%{_datadir}/icons/hicolor/128x128/apps/vegastrike.xpm


%changelog
* Sat May 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-3
- Remove playlist patch, the license issues around the songs which the patch
  removed from the playlist, have been solved

* Thu May  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-2
- Release bump for build in F-9 instead of F-10 (F-10 will inherit this,
  bump needed due to deliberately not using disttag)

* Sat May  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-1
- New upstream release 0.5.0

* Wed Feb 27 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-5
- Fix text encoding issues in 2 python files causing vegastrike to fail
  with python 2.5 (bz 435157)

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-4
- Update License tag for new Licensing Guidelines compliance

* Sun Jun 17 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-3
- Fix tractor beam using upstream provided patch (bz 244549)

* Mon Apr 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-2
- Remove included copies of default python builtin's like "string"

* Fri Mar 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-1
- Initial Fedora Extras package, partially based on Mandriva contrib SRPM
