%define driverdir %(pkg-config xorg-server --variable=moduledir)/drivers

Name:           xorg-x11-drv-vermilion
Version:        1.0.0
Release:        3%{?dist}
Summary:        Xorg driver for Intel Vermilion Range chipset

Group:          User Interface/X Hardware Support
License:        MIT
URL:            http://www.x.org/
Source0:        http://xorg.freedesktop.org/archive/individual/driver/xf86-video-vermilion-%{version}.tar.bz2
Source1:        vermilion.xinf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86}

BuildRequires:  pkgconfig xorg-x11-server-sdk >= 1.3.0.0
Requires:       xorg-x11-server-Xorg >= 1.3.0.0
Requires:       hwdata

Patch0: vermilion-1.0.0-no-wfb.patch

%description
Xorg driver for Intel Vermilion Range chipset.

%prep
%setup -q -n xf86-video-vermilion-%{version}
%patch0 -p1 -b .jx

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/vermilion_drv.so
%{_mandir}/man4/vermilion.4*
%{_datadir}/hwdata/videoaliases/vermilion.xinf

%changelog
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-3
- Autorebuild for GCC 4.3

* Tue May 22 2007 Adam Jackson <ajax@redhat.com> 1.0.0-2
- Review feedback (#240808)

* Fri May 18 2007 Adam Jackson <ajax@redhat.com> 1.0.0-1
- Initial import of xf86-video-vermilion.
